# $Revision: 1.15 $, $Date: 2010/11/12 15:28:15 $

# there are sphinx.spec, sphinx2.spec...  Sphinx.spec is too confusing
# therefore the name for this package is sphinx-pdg (pdg - python
# documentation generator)
Summary:	Python documentation generator
Name:		sphinx-pdg
Version:	1.0.5
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/S/Sphinx/Sphinx-%{version}.tar.gz
# Source0-md5:	9c2cbfb4f520c49cedd10d0b26196832
URL:		http://sphinx.pocoo.org/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
Requires:	python-distribute
Requires:	python-docutils >= 0.5
Requires:	python-jinja2 >= 2.1
Requires:	python-pygments >= 0.11.1
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

%prep
%setup -q -n Sphinx-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README PKG-INFO TODO AUTHORS
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/sphinx
%{py_sitescriptdir}/Sphinx*egg*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sphinx-pdg.spec,v $
Revision 1.15  2010/11/12 15:28:15  wiget
- 1.0.5

Revision 1.14  2010/07/08 08:47:28  arekm
- release 3

Revision 1.13  2010/05/14 00:55:06  sparky
- R: python-distribute
- release: 2

Revision 1.12  2010/03/26 19:28:48  wrobell
- ver. 0.6.5

Revision 1.11  2010/02/06 01:15:10  sparky
- BR: python-modules, python-setuptools, rpm-pythonprov

Revision 1.10  2010/02/05 20:11:33  wrobell
- ver. 0.6.4

Revision 1.9  2009/09/16 17:41:51  wrobell
- ver. 0.6.3

Revision 1.8  2009/06/29 10:22:47  patrys
- uses jinja2

Revision 1.7  2009/06/29 10:20:43  patrys
- 0.6.2

Revision 1.6  2008/12/20 15:58:14  wrobell
- ver. 0.5.1

Revision 1.5  2008/12/05 02:15:07  wrobell
- ver. 0.5

Revision 1.4  2008/11/16 14:54:46  wrobell
- rel. 2

Revision 1.3  2008/10/16 19:48:11  wrobell
- fixed installation requirements

Revision 1.2  2008/10/16 19:09:24  wrobell
- cleanup

Revision 1.1  2008/10/16 19:02:41  wrobell
- based on gaphor.spec

